Loading...
Searching...
No Matches
TestDescription_SimplestTestSuite_testSIZEOFLONG Class Reference

## Public Member Functions

| TestDescription_SimplestTestSuite_testSIZEOFLONG ()
void | runTest ()
Public Member Functions inherited from CxxTest::RealTestDescription
| RealTestDescription ()
| RealTestDescription (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
void | initialize (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
const char * | file () const
unsigned | line () const
const char * | testName () const
const char * | suiteName () const
TestDescription * | next ()
const TestDescription * | next () const
TestSuite * | suite () const
bool | setUp ()
void | run ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::TestDescription
virtual | ~TestDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 32 of file simple_test_runner.cpp.

## Constructor & Destructor Documentation

## TestDescription_SimplestTestSuite_testSIZEOFLONG()

TestDescription_SimplestTestSuite_testSIZEOFLONG::TestDescription_SimplestTestSuite_testSIZEOFLONG | ( |  | ) |

inline

Definition at line 34 of file simple_test_runner.cpp.

: CxxTest::RealTestDescription( Tests_SimplestTestSuite, suiteDescription_SimplestTestSuite, 12, "testSIZEOFLONG" ) {}
suiteDescription_SimplestTestSuite
CxxTest::StaticSuiteDescription suiteDescription_SimplestTestSuite("./simple_test.h", 3, "SimplestTestSuite", suite_SimplestTestSuite, Tests_SimplestTestSuite)
Tests_SimplestTestSuite
static CxxTest::List Tests_SimplestTestSuite
Definition simple_test_runner.cpp:23

## Member Function Documentation

## runTest()

void TestDescription_SimplestTestSuite_testSIZEOFLONG::runTest | ( |  | ) |

inline virtual

Implements CxxTest::RealTestDescription.

Definition at line 35 of file simple_test_runner.cpp.

{ suite_SimplestTestSuite.testSIZEOFLONG(); }
SimplestTestSuite::testSIZEOFLONG
void testSIZEOFLONG()
Definition simple_test.h:12
suite_SimplestTestSuite
static SimplestTestSuite suite_SimplestTestSuite
Definition simple_test_runner.cpp:21

The documentation for this class was generated from the following file:

- libpolys/tests/simple_test_runner.cpp